Update a fileCopy Pagepatch https://api.safetyculture.io/documents/v1/{file_id}Updates an existing file in Documents, either its metadata or its content.Path Paramsfile_idstringrequiredThe ID of the file you want to update. To get the file_id, open the file in the SafetyCulture web app and copy the last part of the URL. For example, in this link https://app.safetyculture.com/documents/document/765aa2e6-69cb-43b5-8ab4-48ab26e2a094, the file ID is 765aa2e6-69cb-43b5-8ab4-48ab26e2a094.Body Paramsfile_typestringenum MEDIA_TYPE_IMAGE: An image file (GIF, JPG, PNG, WEBP). MEDIA_TYPE_VIDEO: A video file (MP4, MOV). MEDIA_TYPE_PDF: A PDF document. MEDIA_TYPE_DOCX: A Microsoft Word document (DOCX, DOC). MEDIA_TYPE_XLSX: A Microsoft Excel spreadsheet (XLSX, XLS). MEDIA_TYPE_IMAGEMEDIA_TYPE_VIDEOMEDIA_TYPE_PDFMEDIA_TYPE_DOCXMEDIA_TYPE_XLSXAllowed:MEDIA_TYPE_IMAGEMEDIA_TYPE_VIDEOMEDIA_TYPE_PDFMEDIA_TYPE_DOCXMEDIA_TYPE_XLSXfile_sizeint64The size of the file in bytes. Must not exceed 50MB. This field is required if file_type is provided.namestringThe new name of the file. Maximum of 255 characters and must exclude invalid characters.descriptionobjectThe new description of the file. Maximum of 1000 characters and must exclude invalid characters.description objectownersobjectThe new owners of the file. Maximum of 5 users and groups.owners objectvalid_toobject A full date, with non-zero year, month, and day values A month and day value, with a zero year, such as an anniversary A year on its own, with zero month and day values A year and month value, with a zero day, such as a credit card expiration date Related types are [google.type.TimeOfDay][google.type.TimeOfDay] and google.protobuf.Timestamp.Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: objectResponses 200A successful response. defaultAn unexpected error response.Updated 3 days ago